MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023377Community[OCCT] OCCT:Data Exchangepublic2012-08-12 16:152012-11-16 13:17
Reportersneeraj 
Assigned Tosneeraj 
PriorityhighSeveritymajor 
StatusclosedResolutionfixed 
PlatformVC++ 2010 64 bitOSWindowsOS Version7
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023377: Error in importing a rational spline IGES surface [Type 128, PROP3 = 0] into OCCT
Description1. Import an IGES file with a rational spline surface [Type 128] into OCCT.
2. The input surface is rational spline defined in the homogeneous geometry section of the IGES file [The parameter with name PROP3 is defined as 0].
3. TKIGES library while reading the IGES surface geometry checks if the input geometry is really rational or not.
4. It does this by checking non-uniform weights associated with the control points of the spline surface.
5. The library incorrectly determines that the surface geometry is non-rational and assigns the parameter PROP3 a value of 1, which makes the surface a polynomial surface.
Steps To ReproduceInput file [input.igs] : An IGES file with rational spline surface [Type 128, PROP3 = 0].

Output file [output.igs] : An IGES file with polynomial spline surface [Type 128, PROP3 = 1].

1. Import input.igs into "ImportExport.exe" [An OCCT sample application for MFC].
2. After the import process, select the imported geometry.
3. Export the selected geometry as output.igs
4. Check the exported putput.igs, it has polynomial surface [Type 128, PROP3 = 1].
Additional information
and documentation updates
1. The files mentioned in "Steps to Reproduce" is uploaded.
2. On investigation of the bug, it was found that the error is in IGESGeom_BSplineSurface::IsPolynomial().
TagsNo tags attached.
Test case numberbugs iges CR23377
Attached Fileszip file icon TKIGES_bug.zip (141,128 bytes) 2012-08-12 16:15

- Relationships

-  Notes
(0021233)
sneeraj (developer)
2012-08-12 16:18

Assigning the bug to MySelf
(0021335)
sneeraj (developer)
2012-08-24 19:34

CR23377 created. Commit and Push done.
http://git.dev.opencascade.org/gitweb/?p=occt.git;a=shortlog;h=refs/heads/CR23377 [^]
(0021336)
sneeraj (developer)
2012-08-24 19:41

CR23377 created. Commit and Push done.
http://git.dev.opencascade.org/gitweb/p=occt.git;a=shortlog;h=refs/heads/CR23377 [^]
(0021338)
gka (developer)
2012-08-27 16:29

Dear Bugmaster

Branch CR23377 is ready to test
(0021370)
apn (administrator)
2012-08-30 19:21
edited on: 2012-08-30 19:29

Dear BugMaster,
Branch CR23377 (and products from GIT master) was compiled on Linux and Windows platforms and tested.

Regression:
Not detected

Improvements:
Not detected

Testing case:
bugs iges CR23377 - OK

See results in /QADisk/occttests/results/KAS/dev/CR23377-master-products_27082012/lin
See reference results in /QADisk/occttests/results/KAS/dev/IR-2012-08-24-master-products_24082012/lin
See test cases in /QADisk/occttests/tests/ED

New folder bugs with test case was pushed to branch CR23377.


- Related Changesets
occt: master fa920fb1
Timestamp: 2012-08-31 11:33:33
Author: sneeraj
Details ] Diff ]
0023377: Error in importing a rational spline IGES surface [Type 128, PROP3 = 0] into OCCT

Fix to address Rational surface with non-unitary weights at last index
Add new test case folder with test case for bugs
mod - src/IGESGeom/IGESGeom_BSplineSurface.cxx Diff ] File ]
add - tests/bugs/begin Diff ] File ]
add - tests/bugs/end Diff ] File ]
add - tests/bugs/grids.list Diff ] File ]
add - tests/bugs/iges/begin Diff ] File ]
add - tests/bugs/iges/CR23377 Diff ] File ]
add - tests/bugs/parse.rules Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-08-12 16:15 sneeraj New Issue
2012-08-12 16:15 sneeraj Assigned To => gka
2012-08-12 16:15 sneeraj File Added: TKIGES_bug.zip
2012-08-12 16:18 sneeraj Note Added: 0021233
2012-08-12 16:18 sneeraj Assigned To gka => sneeraj
2012-08-12 16:18 sneeraj Status new => assigned
2012-08-24 19:34 sneeraj Note Added: 0021335
2012-08-24 19:39 sneeraj Assigned To sneeraj =>
2012-08-24 19:39 sneeraj Assigned To => gka
2012-08-24 19:41 sneeraj Note Added: 0021336
2012-08-24 19:41 sneeraj Status assigned => resolved
2012-08-27 16:29 gka Note Added: 0021338
2012-08-27 16:29 gka Status resolved => reviewed
2012-08-30 19:21 mkv Note Added: 0021369
2012-08-30 19:21 mkv Note Deleted: 0021369
2012-08-30 19:21 apn Note Added: 0021370
2012-08-30 19:23 apn Test case number => bugs iges CR23377
2012-08-30 19:23 apn Assigned To gka => bugmaster
2012-08-30 19:23 apn Status reviewed => tested
2012-08-30 19:25 apn Note Edited: 0021370 View Revisions
2012-08-30 19:29 apn Note Edited: 0021370 View Revisions
2012-09-03 17:30 sneeraj Changeset attached => occt master fa920fb1
2012-09-03 17:35 sneeraj Assigned To bugmaster => sneeraj
2012-09-03 17:35 sneeraj Status tested => verified
2012-09-03 17:35 sneeraj Resolution open => fixed
2012-09-03 17:42 bugmaster Target Version => 6.5.4
2012-11-16 13:14 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:17 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker